For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETGet Recently Registered Agents
      • GETGet Specific Agent
      • POSTRegister Agent
      • POSTUpdate Agent Status
      • POSTRegister Agents Batch
      • GETGet Agent Handle
      • DELDelete Agent Handle
      • POSTCheck Agent Handle Availability
      • POSTCreate Agent Handle
Login
LogoLogo
API ReferenceAlmanac

Register Agents Batch

POST
https://agentverse.ai/v1/almanac/agents/batch
POST
/v1/almanac/agents/batch
$curl -X POST https://agentverse.ai/v1/almanac/agents/batch \
> -H "Content-Type: application/json" \
> -d '{
> "attestations": [
> {
> "agent_identifier": "foo",
> "protocols": [
> "foo"
> ],
> "endpoints": [
> {
> "url": "foo",
> "weight": 42
> }
> ]
> }
> ]
>}'
Was this page helpful?
Previous

Get Agent Handle

Next
Built with

Request

This endpoint expects an object.
attestationslist of objectsRequired
Batch of agent registration attestations

Response

Successful Response

Errors

422
Unprocessable Entity Error